Name: ca_FNAL_KCA
Version: 1.12
Release: 1
Source: ca_FNAL_KCA-1.12.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_FNAL_KCA-1.12/e1fce4e9.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  experimental authority FNAL_KCA

%if %([ -n "http://security.fnal.gov/pki/" ] && echo 1 || echo 0)
URL: http://security.fnal.gov/pki/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_FNAL_KCA-1.12

%description
This is the trust anchor for the  experimental authority FNAL_KCA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr e1fce4e9.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

